Charges

GET/billing/charges

List charges

Optional attributes

  • Name
    q
    Type
    string
    Description
    Search language filter. Supported fields: `category` (string), `description` (string), `invoice` (null check, use `invoice^"null"` or `invoice!^"null"`), `voided_at` (null check, use `voided_at^"null"` or `voided_at!^"null"`), `created_at` (date, requires the `$DATE` modifier and supports the `:`, `>`, `>=`, `<`, `<=` operators with a `YYYY-MM-DD` value). Clauses can be combined with `AND` / `OR`. Example: `created_at$DATE>="2026-01-15"`
  • Name
    page
    Type
    integer
    Description
    The page number to retrieve (1-indexed) 1
  • Name
    per_page
    Type
    integer
    Description
    The number of items per page 15

Request

GET/billing/charges
curl -G https://YOUR_DOMAIN/api/billing/charges \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
Loading response...
GET/billing/charges/{charge}

Show a charge

Required attributes

  • Name
    charge
    Type
    integer
    Description
    The ID of the charge 1

Request

GET/billing/charges/{charge}
curl -G https://YOUR_DOMAIN/api/billing/charges/{charge} \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
Loading response...
POST/billing/charges/quick-adjustment

Store a quick adjustment charge

Required attributes

  • Name
    amount
    Type
    number
    Description
    The amount of the adjustment 9.99
  • Name
    description
    Type
    string
    Description
    A description of the adjustment Monthly fee adjustment

Request

POST/billing/charges/quick-adjustment
curl -X POST https://YOUR_DOMAIN/api/billing/charges/quick-adjustment \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "amount": 9.99,
    "description": "Monthly fee adjustment"
}'
Loading response...